Identifier

CVE-2020-6164

Package Slug

packagist/silverstripe/framework

Vulnerability

Information Exposure

Description

In SilverStripe, a specific URL path configured by default through the silverstripe/framework module can be used to disclose the fact that a domain is hosting a Silverstripe application. There is no disclosure of the specific version. The functionality on this URL path is limited to execution in a CLI context, and is not known to present a vulnerability through web-based access. As a side effect, this preconfigured path also blocks the creation of other resources on this path (e.g. a page).

Affected Versions

All versions starting from 4.0.0 up to 4.4.7, all versions starting from 4.5.0 before 4.5.4

Solution

Upgrade to version 4.5.4 or above.

Last Modified

2020-07-27

source